# Proximity Roller Plugin

This unofficial TaleSpire plugin allows rolling of multiple independenct dice by rolling all dice
with a defined proximity of the rolled dice. This allows rolling groups of dice in which dice can
easily be added and/or removed (unlike the set dice groups provided in core Talespire).
 
## Change Log
```
1.2.2: Fixed compatibility with Custom Dice Pack Plugin (and other result using plugins)
1.2.1: Fixed issue with proximity configuration
1.2.0: Exposed modifier in results
1.1.0: Names the result roll 'Proximity Result' so other plugins can identify it
1.0.0: Initial release
```
## Install

Use R2ModMan or similar installer to install this plugin.
   
## Usage

Generate dice using the dice tray as normal. However bring out each die independently as opposed to
making dice tray groups unless the dice will always be rolled together (such as in the case of a
percentile dice and a D10).

To make regular rolls, roll the dice as usual.

To make a proximity group roll, pick up a die and then hold ``Left Shift``. Drop the die into the
middle of a dice pile. The dropped die as well as all the dice in its proximity will be rolled.
The results will be displayed for each die on the screen but totalled in the Chat.

Dice can be added or removed from the roll group just by moving the dice closer or further away.

## Configuration

There are a number of configruation settings for this plugin:

``Affected Dice Distance``:

The distance (in tiles) from the thrown die in which other dice will be rolled.
 
``Affected Dice Raise``:

The distance into the air that the dice will be raised above the drop height.
Higher values will tend to randomize the proximity dice more.

``Result Completion Interval``:
``Result Completion Cycles``:

These two settings are used to determine how long the plugin waits for results to come in. In the
current implementation the plugin does not know how many results to expect so it uses a timeout
mechanism. It sets the counter at the cycles value and decreases the counter by 1 each time the
interval expires. Thus a total duration of Cycles x Interval. However, if a result is received
the cycle counter is reset.

If the values are too small, the chat summary will not include all of the dice results in the
summary. If the values are too high then there will be a big delay between the dice being rolled
and the summary appearing in the chat.